from app.models.user import User


def users_serialize(users: list) -> list:
    serialized_users: list = []
    for user in users:
        serialized_users.append({
            "id": str(user["_id"]),
            "username": user["username"]
        })
    return serialized_users

def user_serialize(user) -> User:
    print(user)
    return User(
        _id=str(user['_id']),
        username=user['username'],
        password=user['password']
    )